<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:35:57 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Class Hierarchy (org.eclipse.papyrus.designer.languages.java.codegen 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy (org.eclipse.papyrus.designer.languages.java.codegen 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="org/eclipse/papyrus/designer/languages/java/codegen/package-tree.html">org.eclipse.papyrus.designer.languages.java.codegen</a>, </li>
<li><a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/package-tree.html">org.eclipse.papyrus.designer.languages.java.codegen.preferences</a>, </li>
<li><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/package-tree.html">org.eclipse.papyrus.designer.languages.java.codegen.transformation</a>, </li>
<li><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/package-tree.html">org.eclipse.papyrus.designer.languages.java.codegen.utils</a>, </li>
<li><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/package-tree.html">org.eclipse.papyrus.designer.languages.java.codegen.xtend</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.preferences.<a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenPreferenceInitializer.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.preferences"><span class="typeNameLink">JavaCodeGenPreferenceInitializer</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/Constants.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen"><span class="typeNameLink">Constants</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.common.base.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.base/apidocs/org/eclipse/papyrus/designer/languages/common/base/HierarchyLocationStrategy.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.languages.common.base"><span class="typeNameLink">HierarchyLocationStrategy</span></a> (implements org.eclipse.papyrus.designer.languages.common.base.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.base/apidocs/org/eclipse/papyrus/designer/languages/common/base/ILocationStrategy.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.languages.common.base">ILocationStrategy</a>)
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaLocationStrategy.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation"><span class="typeNameLink">JavaLocationStrategy</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaAttribute.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaAttribute</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassAttributesDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaClassAttributesDeclaration</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaClassifierGenerator</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportClassDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaClassImportClassDeclaration</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaClassImportDeclaration</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassInheritedDeclarations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaClassInheritedDeclarations</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassOperationsDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaClassOperationsDeclaration</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassTypeAndEnum.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaClassTypeAndEnum</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.preferences.<a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenConstants.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.preferences"><span class="typeNameLink">JavaCodeGenConstants</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.preferences.<a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.preferences"><span class="typeNameLink">JavaCodeGenUtils</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaDocumentation.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaDocumentation</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaEnumerations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaEnumerations</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils"><span class="typeNameLink">JavaGenUtils</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaImportUtil.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaImportUtil</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaInnerClassifiers.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaInnerClassifiers</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen"><span class="typeNameLink">JavaLangCodegen</span></a> (implements org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.extensionpoints/apidocs/org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen2.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen2</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation"><span class="typeNameLink">JavaMerger</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation"><span class="typeNameLink">JavaNodeId</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaOperations</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaParameter.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaParameter</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaTemplates.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaTemplates</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/LocateJavaProject.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils"><span class="typeNameLink">LocateJavaProject</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.common.base.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.base/apidocs/org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.languages.common.base"><span class="typeNameLink">ModelElementsCreator</span></a>
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation"><span class="typeNameLink">JavaModelElementsCreator</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils"><span class="typeNameLink">Modifier</span></a></li>
<li type="circle">org.eclipse.osgi.util.NLS
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Messages.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils"><span class="typeNameLink">Messages</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/Messages.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen"><span class="typeNameLink">Messages</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.core.runtime.Plugin (implements org.osgi.framework.BundleActivator)
<ul>
<li type="circle">org.eclipse.ui.plugin.AbstractUIPlugin
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/Activator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen"><span class="typeNameLink">Activator</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
